Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceKeys and access

Swap primary and fallback keys

POST
/v1/credentials/{provider}/swap

Make the fallback key the primary and the primary the fallback for one provider. Takes effect on the next call.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

provider*string
Match^[a-z0-9]+(-[a-z0-9]+)*$

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/credentials/string/swap"
{  "items": [    {      "object": "credential",      "id": "string",      "provider": "string",      "slot": "primary",      "fields": [        "string"      ],      "label": null,      "hint": null,      "status": "healthy",      "tested_at": null,      "test_message": null,      "last_used_at": null,      "updated_at": "2019-08-24T14:15:22Z"    }  ]}